## mobile-player 0.4ubuntu1

=== Makefile ===
BINDIR = ${DESTDIR}/usr/bin/
MEDIAAPPDIR = ${DESTDIR}/usr/share/mobile-player
MEDIASTREAMDIR = ${DESTDIR}/usr/share/mobile-player/media
THEME_DIR = ${DESTDIR}/usr/share/themes/mobilebasic
IMAGE_DIR = ${THEME_DIR}/images
all: 
install:
	@mkdir -p ${BINDIR}
	@mkdir -p ${MEDIAAPPDIR}
	@mkdir -p ${MEDIASTREAMDIR}/video
	@mkdir -p ${MEDIASTREAMDIR}/audio
	@mkdir -p ${MEDIASTREAMDIR}/photo
	@mkdir -p ${THEME_DIR}
	@install -m 644 -D content/photo/alps.jpg ${MEDIASTREAMDIR}/photo
	@install -m 644 -D content/photo/alps_train.bmp ${MEDIASTREAMDIR}/photo
	@install -m 644 -D content/photo/colleseum.jpg ${MEDIASTREAMDIR}/photo
	@install -m 644 -D content/photo/eiffel_tower.png ${MEDIASTREAMDIR}/photo
	@install -m 644 -D content/photo/neuschwanstein_castle.jpg ${MEDIASTREAMDIR}/photo
	@install -m 644 -D images/rewind.png ${IMAGE_DIR}/rewind.png
	@install -m 644 -D images/play.png ${IMAGE_DIR}/play.png
	@install -m 644 -D images/pause.png ${IMAGE_DIR}/pause.png
	@install -m 644 -D images/forward.png ${IMAGE_DIR}/forward.png
	@install -m 644 -D images/stop.png ${IMAGE_DIR}/stop.png
	@install -m 644 -D images/AlbumArtMissing.png ${IMAGE_DIR}/AlbumArtMissing.png

	@install -m 755 -D src/GeneralFunc.py ${MEDIAAPPDIR}/GeneralFunc.py
	@install -m 755 -D src/PhotoView.py ${MEDIAAPPDIR}/PhotoView.py
	@install -m 755 -D src/ToolBarView.py ${MEDIAAPPDIR}/ToolBarView.py
	@install -m 755 -D src/MusicView.py ${MEDIAAPPDIR}/MusicView.py
	@install -m 755 -D src/VideoView.py ${MEDIAAPPDIR}/VideoView.py
	@install -m 755 -D src/Constant.py ${MEDIAAPPDIR}/Constant.py
	@install -m 755 -D src/MobilePlayer.py ${MEDIAAPPDIR}/MobilePlayer.py
	@install -m 644 -D src/MobilePlayer.glade ${MEDIAAPPDIR}/MobilePlayer.glade
	@install -m 644 -D src/url.glade ${MEDIAAPPDIR}/url.glade

	@install -m 755 -D mobile-player ${BINDIR}/mobile-player
	@install -m 644 -D mobile-player.desktop ${DESTDIR}/usr/share/applications/mobile-player.desktop
	@install -m 644 -D mobile_player.png 	${DESTDIR}/usr/share/pixmaps/mobile_player.png
clean:
	rm -f *~

## mobile-player 0.4

=== debian/changelog ===
mobile-player (0.4) gutsy; urgency=low

  [ Rusty Lynch ]
  * Fixed a typo from two releases ago that causes the player
    to crash on startup due to an uncaught exception.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Fri, 17 Aug 2007 09:12:21 +0200

mobile-player (0.3ubuntu13) feisty; urgency=low

  * fix a indentation bug  * 

 -- Xu Bo <xubo@xubo-desktop>  Mon, 15 Aug 2007 12:33:55 +0800

mobile-player (0.3ubuntu12) feisty; urgency=low

  * a small fix  * 

 -- Xu Bo <xubo@xubo-desktop>  Mon, 15 Aug 2007 10:33:55 +0800

mobile-player (0.3ubuntu11) feisty; urgency=low

  * update changelog  * 

 -- Xu Bo <xubo@xubo-desktop>  Mon, 13 Aug 2007 17:33:55 +0800

mobile-player (0.3ubuntu10) feisty; urgency=low

  * modify indentation, and merge latest features  * 

 -- Xu Bo <xubo@xubo-desktop>  Mon, 13 Aug 2007 17:19:29 +0800

mobile-player (0.3ubuntu9) feisty; urgency=low

  * fix URL open bug 

 -- jzhu31 <jzhu31@jzhu31-desktop>  Fri, 10 Aug 2007 09:20:13 -0700

mobile-player (0.3ubuntu8) feisty; urgency=low

  * add Full Screen feature

 -- Wei, Donald <donald.wei@intel.com>  Thu,  9 Aug 2007 14:46:01 +0800

mobile-player (0.3ubuntu7) feisty; urgency=low

  * change HildonSupport to True  * 

 -- Xu Bo <xubo@xubo-desktop>  Thu,  2 Aug 2007 17:21:45 +0800

mobile-player (0.3ubuntu6) feisty; urgency=low

  * add hildon debug info and change some backgroud  * 

 -- Xu Bo <xubo@xubo-desktop>  Thu,  2 Aug 2007 17:21:45 +0800

mobile-player (0.3ubuntu5) feisty; urgency=low

  * small fix

 -- Xu Bo <xubo@xubo-desktop>  Wed,  1 Aug 2007 15:15:54 +0800

mobile-player (0.3ubuntu4) feisty; urgency=low

  * trigger  * 

 -- Xu Bo <xubo@xubo-desktop>  Wed,  1 Aug 2007 13:55:36 +0800

mobile-player (0.3ubuntu3) feisty; urgency=low

  * trigger  * 

 -- Xu Bo <xubo@xubo-desktop>  Wed,  1 Aug 2007 13:52:36 +0800

mobile-player (0.3ubuntu2) feisty; urgency=low

  * trigger  * 

 -- Xu Bo <xubo@xubo-desktop>  Wed,  1 Aug 2007 13:07:36 +0800

mobile-player (0.3ubuntu1) feisty; urgency=low

  * remove some png picture which will be installed by other program  * 

 -- Xu Bo <xubo@xubo-desktop>  Wed,  1 Aug 2007 13:07:36 +0800

mobile-player (0.3) feisty; urgency=low

  * udgrade version to 0.3  * 

 -- Xu Bo <xubo@xubo-desktop>  Wed,  1 Aug 2007 12:42:21 +0800

mobile-player (0.1) feisty; urgency=low

  * first build  * 

 -- Xu Bo <xubo@xubo-desktop>  Tue, 31 Jul 2007 17:35:40 +0800

=== debian/control ===
Source: mobile-player
Section: graphics
Priority: optional
Maintainer: Shen Cathy <cathy.shen@intel.com>
Build-Depends: debhelper (>= 5), debootstrap, python-support (>= 0.3)
Standards-Version: 0.3 

Package: mobile-player
Architecture: all
Depends: ${python:Depends}, python-gst0.10, python-dbus, python-glade2, python-gtk2, python-gtk2-dev, gstreamer0.10-alsa, gstreamer0.10-plugins-base, gstreamer0.10-plugins-good, python2.5-hildon
Recommends: gstreamer0.10-plugins-bad | gstreamer0.10-plugins-ugly | gstreamer0.10-ffmpeg
Description: Media player for Ubuntu Mobile and Embedded
 This is the media player used by default in Ubuntu Mobile.

## mobile-player 0.4ubuntu1

=== debian/changelog ===
mobile-player (0.4ubuntu1) hardy; urgency=low

  * No-change version bump to work around LP: #174038.

 -- Kees Cook <kees@ubuntu.com>  Mon, 21 Apr 2008 14:13:47 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mobile-player
 Section: graphics
 Priority: optional
-Maintainer: Shen Cathy <cathy.shen@intel.com>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Shen Cathy <cathy.shen@intel.com>
 Build-Depends: debhelper (>= 5), debootstrap, python-support (>= 0.3)
 Standards-Version: 0.3

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

build: build-stamp

build-stamp:
	dh_testdir

	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/mobile-player install


# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs 
	dh_pysupport
	dh_gencontrol
	dh_fixperms
	dh_compress
	dh_installdeb
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
